﻿using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;

namespace MVRPlugin {
	public class WindControl_Target : MVRScript {

        protected bool isEnabled;
        protected JSONStorableBool isEnabledJSON;
        protected JSONStorableFloat mobilityJSON;

        protected void SyncIsEnabled(bool b)
        {
            isEnabled = b;
        }
		
		public override void Init() {
			try {
                isEnabledJSON = new JSONStorableBool("Wind Enabled", false, (bool b)=>{
                    SyncIsEnabled(b);
                });
                RegisterBool(isEnabledJSON);
                CreateToggle(isEnabledJSON);

                mobilityJSON = new JSONStorableFloat("Mobility", 0.1f, 0.1f, 1f, false, true);
                RegisterFloat(mobilityJSON);   
                CreateSlider(mobilityJSON);


			}
			catch (System.Exception e) {
				SuperController.LogError("Exception caught: " + e);
			}
		}

		// Start is called once before Update or FixedUpdate is called and after Init()
		void Start() {
			try {
				// put code in here
			}
			catch (System.Exception e) {
				SuperController.LogError("Exception caught: " + e);
			}
		}

		// Update is called with each rendered frame by Unity
		void Update() {
			try {
				// put code in here
			}
			catch (System.Exception e) {
				SuperController.LogError("Exception caught: " + e);
			}
		}

		// FixedUpdate is called with each physics simulation frame by Unity
		void FixedUpdate() {
			try {
				// put code in here
			}
			catch (System.Exception e) {
				SuperController.LogError("Exception caught: " + e);
			}
		}

		// OnDestroy is where you should put any cleanup
		// if you registered objects to supercontroller or atom, you should unregister them here
		void OnDestroy() {
		}

	}
}